Limit.TimeUnit (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.process

## Class Limit.TimeUnit

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - net.sf.antcontrib.process.Limit.TimeUnit

- Enclosing class:
    Limit

      public static class Limit.TimeUnit
      extends org.apache.tools.ant.types.EnumeratedAttribute

  The enumeration of units: millisecond, second, minute, hour, day, week Todo: we use timestamps in many places, why not factor this out

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DAY`
    `static Limit.TimeUnit` | `DAY_UNIT`
    `static java.lang.String` | `HOUR`
    `static Limit.TimeUnit` | `HOUR_UNIT`
    `static java.lang.String` | `MILLISECOND`
    `static Limit.TimeUnit` | `MILLISECOND_UNIT` static unit objects, for use as sensible defaults
    `static java.lang.String` | `MINUTE`
    `static Limit.TimeUnit` | `MINUTE_UNIT`
    `static java.lang.String` | `SECOND`
    `static Limit.TimeUnit` | `SECOND_UNIT`
    `static java.lang.String` | `WEEK`
    `static Limit.TimeUnit` | `WEEK_UNIT`

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Limit.TimeUnit()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMultiplier()`
    `java.lang.String[]` | `getValues()`
    `protected void` | `setValueProgrammatically(java.lang.String value)` set the inner value programmatically.
    `long` | `toMillis(long numberOfUnits)` convert the time in the current unit, to millis

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MILLISECOND

          public static final java.lang.String MILLISECOND

      See Also:
        Constant Field Values

    - #### SECOND

          public static final java.lang.String SECOND

      See Also:
        Constant Field Values

    - #### MINUTE

          public static final java.lang.String MINUTE

      See Also:
        Constant Field Values

    - #### HOUR

          public static final java.lang.String HOUR

      See Also:
        Constant Field Values

    - #### DAY

          public static final java.lang.String DAY

      See Also:
        Constant Field Values

    - #### WEEK

          public static final java.lang.String WEEK

      See Also:
        Constant Field Values

    - #### MILLISECOND_UNIT

          public static final Limit.TimeUnit MILLISECOND_UNIT

      static unit objects, for use as sensible defaults

    - #### SECOND_UNIT

          public static final Limit.TimeUnit SECOND_UNIT

    - #### MINUTE_UNIT

          public static final Limit.TimeUnit MINUTE_UNIT

    - #### HOUR_UNIT

          public static final Limit.TimeUnit HOUR_UNIT

    - #### DAY_UNIT

          public static final Limit.TimeUnit DAY_UNIT

    - #### WEEK_UNIT

          public static final Limit.TimeUnit WEEK_UNIT

  - ### Constructor Detail

    - #### Limit.TimeUnit

          public Limit.TimeUnit()

  - ### Method Detail

    - #### setValueProgrammatically

          protected void setValueProgrammatically(java.lang.String value)

      set the inner value programmatically.
      Parameters:
        `value` - to set

    - #### getMultiplier

          public long getMultiplier()

    - #### getValues

          public java.lang.String[] getValues()

      Specified by:
        `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`

    - #### toMillis

          public long toMillis(long numberOfUnits)

      convert the time in the current unit, to millis
      Parameters:
        `numberOfUnits` - long expressed in the current objects units
      Returns:
        long representing the value in millis